%define name curl
%define version 7.16.4
%define subrel 1
%define release %mkrel 2
%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name}-devel

# Define to make check (default behavior)
%define do_check 0

%define __libtoolize /bin/true

# Enable --with[out] <feature> at rpm command line
%{?_with_CHECK: %{expand: %%define do_check 1}}
%{?_without_CHECK: %{expand: %%define do_check 0}}

Summary:	Gets a file from a FTP, GOPHER or HTTP server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	MIT
Group:		Networking/Other
Source:		http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Patch1:		curl-7.10.4-compat-location-trusted.patch
Patch2:		curl-7.13.0-64bit-fixes.patch
Patch3:		curl-7.16.0-easy_magic.patch
Patch4:		curl-7.16.0-fix-tests.patch
Patch5:		curl-7.16.0-error-reporting.patch
Patch6:		%{name}-7.16.4-ftp-nopass.patch
Patch7:		curl-7.16.4-CVE-2009-0037.patch
URL:		http://curl.haxx.se/
Provides:	webfetch
Requires:	%{libname} = %{epoch}:%{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	bison
BuildRequires:	groff-for-man
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libidn-devel
# (misc) required for testing
BuildRequires:	stunnel

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

This version is compiled with SSL (https) support.

%package -n %{libname}
Summary:	A library of functions for file transfer
Group:		Networking/Other
Provides:	curl-lib = %{epoch}:%{version}-%{release}
Obsoletes:	curl-lib

%description  -n %{libname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you plan to use any applications that
use libcurl.

%package -n %{develname}
Summary:	Header files and static libraries for libcurl
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libcurl%{major}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%mklibname %{name} 4 -d

%description -n %{develname}
libcurl is a library of functions for sending and receiving files through
various protocols, including http and ftp.

You should install this package if you wish to develop applications that
use libcurl.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
#%patch3 -p1 -b .easy_magic
#%patch4 -p1 -b .fix-tests
#%patch5 -p1 -b .error-reporting
%patch6 -p1 -b .nopass
%patch7 -p1 -b .cve-2009-0037

%if 0
%patch2 -p1 -b .64bit-fixes
# fix test517 with correct results according to curl_getdate() specs
cat > ptrsize.c << EOF
#include <time.h>
#include <stdio.h>
int main(void)
{
  printf("%d\n", sizeof(time_t));
  return 0;
}
EOF
%{__cc} -o ptrsize ptrsize.c
case `./ptrsize` in
4) ;;
8) mv -f ./tests/data/test517{.64,} ;;
*) exit 1 ;;
esac
%endif

%build
export LIBS="-L%{_libdir} $LIBS"
CFLAGS="%{optflags} -O0" \
	./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--with-ssl
%make

skip_tests=
[ -n "$skip_tests" ] && {
  mkdir ./tests/data/skip/
  for t in $skip_tests; do
    mv ./tests/data/test$t ./tests/data/skip/
  done
}


%check 
%if %{do_check}
# At this stage, all tests must pass
make check
%endif

%install
rm -rf %{buildroot}
%make install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl
%attr(0644,root,root) %{_mandir}/man1/curl.1*
%{_datadir}/curl
%docdir docs/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libcurl.so.%{major}*
%docdir docs/
%doc docs/BUGS docs/KNOWN_BUGS docs/CONTRIBUTE docs/FAQ CHANGES
%doc docs/FEATURES docs/RESOURCES docs/TODO docs/THANKS

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl-config
%attr(0644,root,root) %{_mandir}/man1/curl-config.1*
%{_libdir}/libcurl.so
%{_includedir}/curl
%{_libdir}/libcurl*a
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%doc docs/examples docs/INTERNALS


%changelog
* Fri Mar 06 2009 Eugeni Dodonov <eugeni@mandriva.com> 7.16.4-2.1mdv2008.0
- P7: security fix for CVE-2009-0037

* Fri Aug 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 7.16.4-2mdv2008.0
+ Revision: 58744
- provide patch 6 (hopefully fixes bug #32261)

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.4-1mdv2008.0
+ Revision: 51466
- new version

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:7.16.3-1mdv2008.0
+ Revision: 44577
- new version
- new devel library policy
- spec file clean

* Mon May 21 2007 Jérôme Soyer <saispo@mandriva.org> 1:7.16.2-1mdv2008.0
+ Revision: 29220
- Sync
- Build without test


* Mon Apr 02 2007 Adam Williamson <awilliamson@mandriva.com> 7.16.0-9mdv2007.1
+ Revision: 150180
- fix patch5 (remove header change)
- bump release
- patch5 (CVS): fix -f with username / password in URL (fixes Club urpmi media with curl)

* Wed Feb 14 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:7.16.0-8mdv2007.1
+ Revision: 120832
- fix tests (CVS)

* Sat Jan 13 2007 Olivier Blin <oblin@mandriva.com> 1:7.16.0-7mdv2007.1
+ Revision: 108344
- set magic number for easy handles (fix git-http-fetch with curl)
- bunzip2 patches

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix group

  + Pixel <pixel@mandriva.com>
    - fix group (#28147)

* Fri Dec 01 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-5mdv2007.1
+ Revision: 89669
- bump release
- one more provides for libcurl-devel

* Mon Nov 27 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-4mdv2007.1
+ Revision: 87654
- new release
- one more provides for the devel package

  + Michael Scherer <misc@mandriva.org>
    - move check in their own section %%check

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.16.0-3mdv2007.1
+ Revision: 86681
- final update to 7.16.0
- this is our default devel library now (7.16.0, soname 4)

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.15.5-3mdv2007.1
+ Revision: 86627
- drop devel provides for this version of libcurl: major
  4 is the next one
- include epoch in provides and requires also

  + Götz Waschk <waschk@mandriva.org>
    - fix file list

* Wed Nov 22 2006 Andreas Hasenack <andreas@mandriva.com> 1:7.15.5-2mdv2007.1
+ Revision: 86445
- revert 7.16.0 update: we need libcurl.so.3 around for a while

  + Anssi Hannula <anssi@mandriva.org>
    - ensure library major correctness

* Wed Nov 22 2006 Pixel <pixel@mandriva.com> 7.16.0-2mdv2007.1
+ Revision: 86270
- library major is now 4 (libcurl.so.4)

* Wed Nov 22 2006 Jérôme Soyer <saispo@mandriva.org> 7.16.0-1mdv2007.1
+ Revision: 86135
- New release 7.16.0
- Import curl

* Fri Aug 18 2006 Jerome Soyer <saispo@mandriva.org> 7.15.5-1mdv2007.0
- New release 7.15.5

* Thu Jun 22 2006 Jerome Soyer <saispo@mandriva.org> 7.15.4-1mdv2007.0
- New release 7.15.4

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.3-1mdk
- New version 7.15.3

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-3mdk
- Add libidn in buildrequires

* Wed Mar 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-2mdk
- Skip test 252 for x86_64

* Tue Feb 28 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.2-1mdk
- 7.15.2
- Don't skip test 241

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 7.15.1-2mdk
- rebuilt to fix one /lib6464 issue in openssl-devel

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.1-1mdk
- New version 7.15.1

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 7.15.0-2mdk
- rebuilt against openssl-0.9.8a

* Fri Oct 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.15.0-1mdk
- 7.15.0
- Fix build issue on x86_64 (Oden)

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.1-1mdk
- New version
- Now OK with valgrind

* Wed May 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.0-2mdk
- Make curl require libcurl of same version
- Remove special case for test 517 on x86_64 and disable patch 2

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.14.0-1mdk
- 7.14.0
- Force -O0 on CFLAGS, otherwise the produced executable segfaults

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-1mdk
- 7.13.2
- Remove patch 3, merged upstream

* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.1-2mdk
- Patch 3: curl was writing Last-Modified-Since header to files downloaded
  from FTP with the -R option

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.1-1mdk
- New version.

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 7.13.0-2mdk
- 64-bit fixes in the testsuite for curl_getdate() with 64-bit time_t

* Tue Feb 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.13.0-1mdk
- New release
- Remove patch 2

* Mon Jan 31 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 7.12.3-2mdk
- patch2 (from cvs): fix segfault on ppc

* Mon Dec 20 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.3-1mdk
- New version
- Skip (new) test 241

* Mon Nov 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.2-1mdk
- New version 7.12.2
- Remove patch 0

* Wed Aug 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.1-1mdk
- New version 7.12.1

* Tue Jun 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 7.12.0-1mdk
- New version 7.12.0

* Mon May 24 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 7.11.2-2mdk
- use lib/progress.c from cvs to have working percentage of download
  to have it working in urpmi

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 7.11.2-1mdk
- New release 7.11.2
- remove not really documented oneliner

* Sat Apr 24 2004 Michael Scherer <misc@mandrake.org> 7.11.1-1mdk
- New release 7.11.1
- add BuildRequires

